/* -*- C++ -*- Time-stamp: <14 Nov 00 20:47:38 Michael Bischoff> */

/*****************************************************************************/
/*									     */
/*									     */
/*	QMatchIt version 1.0 -- file main.cpp				     */
/*									     */
/*	Implementation of the sprite classes of QMatchIt		     */
/*	written by Michael Bischoff (Michael.Bischoff@gmx.net)		     */
/*	November-2000							     */
/*	see COPYRIGHT.qmatchit for Copyright details			     */
/*									     */
/*									     */
/*****************************************************************************/

#include <qmainwindow.h>
#include <qapplication.h>
#include <qkeycode.h>
#include <qimage.h>

#include "qmatchit.h"
#include "canvas.h"
#include "mainwindow.h"

int main(int argc, char** argv) {
    QApplication app(argc,argv);
    const char *filename = "tutorial.dat";
    if (argc == 2)
	filename = argv[1];

    QMatchItGraphics::initialize(MAXX, MAXY);
    Mainwindow m;
    m.setLevelFile(filename);
    m.resize(m.sizeHint());

    qApp->setMainWidget(&m);
    
    if (QApplication::desktop()->width() > m.width() + 10
	 && QApplication::desktop()->height() > m.height() + 30)
	m.show();
    else
	m.showMaximized();

    QObject::connect(qApp, SIGNAL(lastWindowClosed()), qApp, SLOT(quit()));

    return app.exec();
}

